# Copyright 2020-2023 The Khronos Group Inc.
# SPDX-License-Identifier: MIT

# Vulkan spec PDF stylesheet

extends: default

# The font handling is equivalent to the bundled default-with-fallback-font-theme.yml,
# but uses a local copy of the M+ 1p Fallback font until asciidoctor-pdf
# updates theirs. The local copy includes a few more special characters used
# in the spec.
font:
  catalog:
    merge: true
    # M+ 1p supports Latin, Latin-1 Supplement, Latin Extended, Greek, Cyrillic, Vietnamese, Japanese & an assortment of symbols
    # It also provides arrows for ->, <-, => and <= replacements in case these glyphs are missing from font
    M+ 1p Fallback: mplus1p-regular-fallback.ttf
    Noto Emoji: GEM_FONTS_DIR/notoemoji-subset.ttf
  fallbacks: [M+ 1p Fallback, Noto Emoji]

# Add chapter names to the page footer
footer:
  recto:
    right:
      content: '{chapter-title} | {page-number}'
  verso:
    left:
      content: '{page-number} | {chapter-title}'

# Add a role for VUID tags
role:
  vuid:
    font_family: $literal_font_family
    font_size: round($base_font_size * 0.85)
    font_color: 808080
